Bug 830635 - Package update fails due to a dependency problem
Package update fails due to a dependency problem
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
19
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Fedora Packaging Toolset Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-11 00:04 EDT by Peter Williams
Modified: 2014-06-10 19:28 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-10 02:43:36 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Williams 2012-06-11 00:04:52 EDT
Description of problem:

13:56:49 : ERROR: Error in yum Transaction : [u'ERROR with transaction check vs depsolve:', '/usr/bin/db_stat is needed by (installed) rpm-4.9.1.3-7.fc17.x86_64', u'Please report this error at https://bugzilla.redhat.com/enter_bug.cgi?product=Fedora&version=rawhide&component=yum']


Version-Release number of selected component (if applicable):


How reproducible:

Very


Steps to Reproduce:

yum update
Comment 1 harshad.sane 2012-09-05 13:35:37 EDT
13:34:19 : ERROR: Error in yum Transaction : [u'ERROR with transaction check vs depsolve:', '/usr/bin/db_stat is needed by (installed) rpm-4.9.1.3-7.fc17.x86_64', u'Please report this error at https://bugzilla.redhat.com/enter_bug.cgi?product=Fedora&version=rawhide&component=yum']
Comment 2 harshad.sane 2012-09-05 13:38:35 EDT
How to fix this? I get this when updating db4-util package. But another report says that this has been replace by db4_*. But I am unable to remove this package or find any relevant db4_* package under yum.
Comment 3 Nicolas Large 2012-11-08 03:08:04 EST
I had the same problem after having upgraded from F16 to F17.
I could solve the issue by doing (as root):

#yum clean all
#rpm --rebuilddb
#yum update
Comment 4 Fedora End Of Life 2013-04-03 12:49:25 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 5 Jan Zeleny 2014-06-10 02:43:36 EDT
Usually when a message like this occurs it means one of the two things. Either the operation you request breaks some dependencies or the dependencies are already broken on your system for some reason.

The way to fix this is to manually fix the dependencies. You can do that either by erasing packages with broken deps or by installing packages that contain dependencies that are broken.

If something like this happens during an update, it's usually a problem of the package in question. If it happens during distro upgrade (F19 to F20 for instance), the experience says fedup is usually at fault.

In any case this is very likely not bug but there is no way near enough information here to know for sure what's happened. Closing ...
Comment 6 Peter Williams 2014-06-10 19:28:20 EDT
Or the Fedora updates in question weren't properly tested before being released.

Note You need to log in before you can comment on or make changes to this bug.